Freigeben über


Iterations - List

Rufen Sie Iterationen für das Projekt ab.

GET {Endpoint}/customvision/v3.3/training/projects/{projectId}/iterations

URI-Parameter

Name In Erforderlich Typ Beschreibung
Endpoint
path True

string

Unterstützte Cognitive Services-Endpunkte.

projectId
path True

string (uuid)

Die Projekt-ID.

Anforderungsheader

Name Erforderlich Typ Beschreibung
Training-Key True

string

Antworten

Name Typ Beschreibung
200 OK

Iteration[]

OKAY

Media Types: "application/json", "application/xml", "text/xml"

Other Status Codes

CustomVisionError

Fehlerantwort

Media Types: "application/json", "application/xml", "text/xml"

Sicherheit

Training-Key

Typ: apiKey
In: header

Beispiele

Successful GetIterations request

Beispielanforderung

GET https://westus.api.cognitive.microsoft.com/customvision/v3.3/training/projects/64b822c5-8082-4b36-a426-27225f4aa18c/iterations

Beispiel für eine Antwort

[
  {
    "id": "fe1e83c4-6f50-4899-9544-6bb08cf0e15a",
    "name": "Iteration 1",
    "status": "Completed",
    "created": "2017-12-18T22:40:29Z",
    "lastModified": "2017-12-18T22:40:41Z",
    "trainedAt": "2017-12-18T22:40:41Z",
    "projectId": "64b822c5-8082-4b36-a426-27225f4aa18c",
    "exportable": false,
    "domainId": "ee85a74c-405e-4adc-bb47-ffa8ca0c9f31",
    "exportableTo": [
      "ONNX",
      "DockerFile",
      "TensorFlow",
      "CoreML"
    ],
    "trainingType": "Regular",
    "reservedBudgetInHours": 0,
    "publishName": ""
  },
  {
    "id": "e31a14ab-5d78-4f7b-a267-3a1e4fd8a758",
    "name": "Iteration 2",
    "status": "Completed",
    "created": "2017-12-18T22:40:36Z",
    "lastModified": "2017-12-19T15:47:02Z",
    "trainedAt": "2017-12-19T15:47:02Z",
    "projectId": "64b822c5-8082-4b36-a426-27225f4aa18c",
    "exportable": false,
    "domainId": "ee85a74c-405e-4adc-bb47-ffa8ca0c9f31",
    "exportableTo": [
      "ONNX",
      "DockerFile",
      "TensorFlow",
      "CoreML"
    ],
    "trainingType": "Regular",
    "reservedBudgetInHours": 5,
    "publishName": "model1"
  },
  {
    "id": "3adaf7b2-18fc-4376-9da4-b5ea160a7cf5",
    "name": "Iteration 3",
    "status": "New",
    "created": "2017-12-19T15:46:59Z",
    "lastModified": "2017-12-19T15:46:59Z",
    "projectId": "64b822c5-8082-4b36-a426-27225f4aa18c",
    "exportable": false,
    "domainId": null,
    "exportableTo": [
      "ONNX",
      "DockerFile",
      "TensorFlow",
      "CoreML"
    ],
    "trainingType": "Regular",
    "reservedBudgetInHours": 0,
    "publishName": ""
  }
]

Definitionen

Name Beschreibung
Classifier

Ruft den Klassifizierungstyp des Projekts ab.

CustomVisionError
CustomVisionErrorCodes

Der Fehlercode.

ExportableTo

Eine Reihe von Plattformen, in die diese Iteration exportiert werden kann.

Iteration

Iterationsmodell, das über JSON gesendet werden soll.

TrainingType

Ruft den Schulungstyp der Iteration ab.

Classifier

Ruft den Klassifizierungstyp des Projekts ab.

Wert Beschreibung
Multiclass
Multilabel

CustomVisionError

Name Typ Beschreibung
code

CustomVisionErrorCodes

Der Fehlercode.

message

string

Eine Meldung, die den vom Dienst gemeldeten Fehler erklärt.

CustomVisionErrorCodes

Der Fehlercode.

Wert Beschreibung
NoError
BadRequest
BadRequestExceededBatchSize
BadRequestNotSupported
BadRequestInvalidIds
BadRequestProjectName
BadRequestProjectNameNotUnique
BadRequestProjectDescription
BadRequestProjectUnknownDomain
BadRequestProjectUnknownClassification
BadRequestProjectUnsupportedDomainTypeChange
BadRequestProjectUnsupportedExportPlatform
BadRequestProjectImagePreprocessingSettings
BadRequestProjectDuplicated
BadRequestIterationName
BadRequestIterationNameNotUnique
BadRequestIterationDescription
BadRequestIterationIsNotTrained
BadRequestIterationValidationFailed
BadRequestWorkspaceCannotBeModified
BadRequestWorkspaceNotDeletable
BadRequestTagName
BadRequestTagNameNotUnique
BadRequestTagDescription
BadRequestTagType
BadRequestMultipleNegativeTag
BadRequestMultipleGeneralProductTag
BadRequestImageTags
BadRequestImageRegions
BadRequestNegativeAndRegularTagOnSameImage
BadRequestUnsupportedDomain
BadRequestRequiredParamIsNull
BadRequestIterationIsPublished
BadRequestInvalidPublishName
BadRequestInvalidPublishTarget
BadRequestUnpublishFailed
BadRequestIterationNotPublished
BadRequestSubscriptionApi
BadRequestExceedProjectLimit
BadRequestExceedIterationPerProjectLimit
BadRequestExceedTagPerProjectLimit
BadRequestExceedTagPerImageLimit
BadRequestExceededQuota
BadRequestCannotMigrateProjectWithName
BadRequestNotLimitedTrial
BadRequestImageBatch
BadRequestImageStream
BadRequestImageUrl
BadRequestImageFormat
BadRequestImageSizeBytes
BadRequestImageDimensions
BadRequestImageExceededCount
BadRequestTrainingNotNeeded
BadRequestTrainingNotNeededButTrainingPipelineUpdated
BadRequestTrainingValidationFailed
BadRequestClassificationTrainingValidationFailed
BadRequestMultiClassClassificationTrainingValidationFailed
BadRequestMultiLabelClassificationTrainingValidationFailed
BadRequestDetectionTrainingValidationFailed
BadRequestTrainingAlreadyInProgress
BadRequestDetectionTrainingNotAllowNegativeTag
BadRequestInvalidEmailAddress
BadRequestDomainNotSupportedForAdvancedTraining
BadRequestExportPlatformNotSupportedForAdvancedTraining
BadRequestReservedBudgetInHoursNotEnoughForAdvancedTraining
BadRequestExportValidationFailed
BadRequestExportAlreadyInProgress
BadRequestPredictionIdsMissing
BadRequestPredictionIdsExceededCount
BadRequestPredictionTagsExceededCount
BadRequestPredictionResultsExceededCount
BadRequestPredictionInvalidApplicationName
BadRequestPredictionInvalidQueryParameters
BadRequestInvalidImportToken
BadRequestExportWhileTraining
BadRequestImageMetadataKey
BadRequestImageMetadataValue
BadRequestOperationNotSupported
BadRequestInvalidArtifactUri
BadRequestCustomerManagedKeyRevoked
BadRequestInvalid
UnsupportedMediaType
Forbidden
ForbiddenUser
ForbiddenUserResource
ForbiddenUserSignupDisabled
ForbiddenUserSignupAllowanceExceeded
ForbiddenUserDoesNotExist
ForbiddenUserDisabled
ForbiddenUserInsufficientCapability
ForbiddenDRModeEnabled
ForbiddenInvalid
NotFound
NotFoundProject
NotFoundProjectDefaultIteration
NotFoundIteration
NotFoundIterationPerformance
NotFoundTag
NotFoundImage
NotFoundDomain
NotFoundApimSubscription
NotFoundInvalid
Conflict
ConflictInvalid
ErrorUnknown
ErrorIterationCopyFailed
ErrorPreparePerformanceMigrationFailed
ErrorProjectInvalidWorkspace
ErrorProjectInvalidPipelineConfiguration
ErrorProjectInvalidDomain
ErrorProjectTrainingRequestFailed
ErrorProjectImportRequestFailed
ErrorProjectExportRequestFailed
ErrorFeaturizationServiceUnavailable
ErrorFeaturizationQueueTimeout
ErrorFeaturizationInvalidFeaturizer
ErrorFeaturizationAugmentationUnavailable
ErrorFeaturizationUnrecognizedJob
ErrorFeaturizationAugmentationError
ErrorExporterInvalidPlatform
ErrorExporterInvalidFeaturizer
ErrorExporterInvalidClassifier
ErrorPredictionServiceUnavailable
ErrorPredictionModelNotFound
ErrorPredictionModelNotCached
ErrorPrediction
ErrorPredictionStorage
ErrorRegionProposal
ErrorUnknownBaseModel
ErrorInvalid

ExportableTo

Eine Reihe von Plattformen, in die diese Iteration exportiert werden kann.

Wert Beschreibung
CoreML
TensorFlow
DockerFile
ONNX
VAIDK

Iteration

Iterationsmodell, das über JSON gesendet werden soll.

Name Typ Beschreibung
classificationType

Classifier

Ruft den Klassifizierungstyp des Projekts ab.

created

string (date-time)

Ruft die Zeit ab, zu der diese Iteration abgeschlossen wurde.

domainId

string (uuid)

Dient zum Abrufen oder Festlegen einer GUID der Domäne, auf der die Iteration trainiert wurde.

exportable

boolean

Gibt an, ob die Iteration zum Herunterladen in ein anderes Format exportiert werden kann.

exportableTo

ExportableTo[]

Eine Reihe von Plattformen, in die diese Iteration exportiert werden kann.

id

string (uuid)

Ruft die ID der Iteration ab.

lastModified

string (date-time)

Ruft die Zeit ab, zu der diese Iteration zuletzt geändert wurde.

name

string

Ruft den Namen der Iteration ab oder legt den Namen fest.

originalPublishResourceId

string

Die Ressourcenanbieter-ID dieser Iteration wurde ursprünglich veröffentlicht.

projectId

string (uuid)

Ruft die Projekt-ID der Iteration ab.

publishName

string

Name des veröffentlichten Modells.

reservedBudgetInHours

integer (int32)

Ruft das reservierte Budget für erweiterte Schulungen für die Iteration ab.

status

string

Ruft den aktuellen Iterationsstatus ab.

trainedAt

string (date-time)

Ruft die Zeit ab, zu der diese Iteration zuletzt geändert wurde.

trainingTimeInMinutes

integer (int32)

Ruft die Schulungszeit für die Iteration ab.

trainingType

TrainingType

Ruft den Schulungstyp der Iteration ab.

TrainingType

Ruft den Schulungstyp der Iteration ab.

Wert Beschreibung
Regular
Advanced